> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# Pool

> Returns metadata and current state for a single pool



## OpenAPI

````yaml /api-reference/damm-v2/openapi.json get /pools/{address}
openapi: 3.1.0
info:
  title: DAMM V2 API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://damm-v2.datapi.meteora.ag
    description: DAMM v2 Mainnet API
security: []
paths:
  /pools/{address}:
    get:
      tags:
        - Pools
      summary: Pool
      description: Returns metadata and current state for a single pool
      operationId: Get Pool
      parameters:
        - name: address
          in: path
          description: Base58-encoded pool address
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoolResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PoolResponse:
      type: object
      required:
        - address
        - name
        - token_x
        - token_y
        - token_x_amount
        - token_y_amount
        - created_at
        - vault_x
        - vault_y
        - alpha_vault
        - pool_config
        - tvl
        - current_price
        - has_farm
        - farm_apr
        - farm_apy
        - permanent_lock_liquidity
        - vested_liquidity
        - volume
        - fees
        - protocol_fees
        - fee_tvl_ratio
        - is_blacklisted
        - tags
      properties:
        address:
          type: string
          description: Address of the liquidity pair
        alpha_vault:
          type: string
          description: Aplha vault
        created_at:
          type: integer
          format: int64
          description: Pool created at timestamp
          minimum: 0
        current_price:
          type: number
          format: double
          description: Price of the liquidity pair
        farm_apr:
          type: number
          format: double
          description: Farm reward apr
        farm_apy:
          type: number
          format: double
          description: Farm reward apy
        fee_tvl_ratio:
          $ref: '#/components/schemas/TimeWindowData'
          description: Fee TVL ratio in percentage in different timeframes
        fees:
          $ref: '#/components/schemas/TimeWindowData'
          description: Fee data in different timeframes
        has_farm:
          type: boolean
          description: Whether the pool has a farm or not
        is_blacklisted:
          type: boolean
          description: Flag to indicate whether the pair is blacklisted
        launchpad:
          type:
            - string
            - 'null'
          description: Launchpad of the pair
        name:
          type: string
          description: Name of the liquidity pair
        permanent_lock_liquidity:
          type: number
          format: double
          description: Permanently locked liquidity inside the pool
        pool_config:
          $ref: '#/components/schemas/PoolConfig'
          description: Pool config
        protocol_fees:
          $ref: '#/components/schemas/TimeWindowData'
          description: Protocol fee data in different timeframes
        tags:
          type: array
          items:
            type: string
          description: Tags of the pair
        token_x:
          $ref: '#/components/schemas/TokenMetrics'
          description: Token X of the liquidity pair
        token_x_amount:
          type: number
          format: double
          description: Amount of token X in the pool
        token_y:
          $ref: '#/components/schemas/TokenMetrics'
          description: Token Y of the liquidity pair
        token_y_amount:
          type: number
          format: double
          description: Amount of token Y in the pool
        tvl:
          type: number
          format: double
          description: >-
            Total liquidity the liquidity pair holding. Also known as Total
            Value Locked
        vault_x:
          type: string
          description: Vault X
        vault_y:
          type: string
          description: Vault Y
        vested_liquidity:
          $ref: '#/components/schemas/VestedLiquidity'
          description: Vested liquidity
        volume:
          $ref: '#/components/schemas/TimeWindowData'
          description: Volume data in different timeframes
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    TimeWindowData:
      type: object
      required:
        - 30m
        - 1h
        - 2h
        - 4h
        - 12h
        - 24h
      properties:
        12h:
          type: number
          format: double
        1h:
          type: number
          format: double
        24h:
          type: number
          format: double
        2h:
          type: number
          format: double
        30m:
          type: number
          format: double
        4h:
          type: number
          format: double
    PoolConfig:
      type: object
      required:
        - collect_fee_mode
        - base_fee_mode
        - base_fee_pct
        - protocol_fee_pct
        - partner_fee_pct
        - referral_fee_pct
        - dynamic_fee_initialized
        - pool_type
        - concentrated_liquidity
        - min_price
        - max_price
        - activation_type
        - activation_point
      properties:
        activation_point:
          type: integer
          format: int64
          minimum: 0
        activation_type:
          type: integer
          format: int32
          minimum: 0
        base_fee_mode:
          type: integer
          format: int32
          minimum: 0
        base_fee_pct:
          type: number
          format: double
        collect_fee_mode:
          type: integer
          format: int32
          description: Fee collection mode. 0 = both, 1 = quote
          minimum: 0
        concentrated_liquidity:
          type: boolean
        dynamic_fee_initialized:
          type: boolean
        max_price:
          type: number
          format: double
        min_price:
          type: number
          format: double
        partner_fee_pct:
          type: integer
          format: int32
          minimum: 0
        pool_type:
          type: integer
          format: int32
          minimum: 0
        protocol_fee_pct:
          type: integer
          format: int32
          minimum: 0
        referral_fee_pct:
          type: integer
          format: int32
          minimum: 0
    TokenMetrics:
      type: object
      required:
        - address
        - name
        - symbol
        - decimals
        - is_verified
        - holders
        - freeze_authority_disabled
        - total_supply
        - price
        - market_cap
      properties:
        address:
          type: string
        decimals:
          type: integer
          format: int32
          minimum: 0
        freeze_authority_disabled:
          type: boolean
        holders:
          type: integer
          format: int32
        is_verified:
          type: boolean
        market_cap:
          type: number
          format: double
        name:
          type: string
        price:
          type: number
          format: double
        symbol:
          type: string
        total_supply:
          type: number
          format: double
    VestedLiquidity:
      type: object
      required:
        - months_3
        - months_6
      properties:
        months_3:
          type: number
          format: double
          description: Vested liquidity for more than 3 months
        months_6:
          type: number
          format: double
          description: Vested liquidity for more than 6 months

````